<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>%TITLE%</title>
<style>
html {font-family: sans-serif;}
body {background-image: url('background.svg'); background-repeat: no-repeat; background-size: cover;}
#box {max-width: 500px; min-width: 450px; margin: 25px auto 0px auto; padding: 15px 40px 15px 40px; direction: %DIRECTION%; background-color: rgba(255, 255, 255, 0.8);}
h1 {font-size: 160%; margin-top: 0px;}
.line {width: 400px; height: 25px; text-align: center; border: 1px solid;}
.submit {margin-top: 5px;}
a {text-decoration: none; font-weight: bold;}
.bottom {margin-top: 20px; margin-bottom: 3px;}
img {margin-bottom: 15px;}

@media (prefers-color-scheme: light) {
  html {color: #525c66;}
  #box {background-color: rgba(255, 255, 255, 0.8);}
  h1, a {color: #1a4ba4;}
  .line {border-color: #babcb8;}
  .line:focus {border-color: #579eea;}
  .dark {display: none;}
}
@media (prefers-color-scheme: dark) {
  html {color: #dddddd;}
  #box {background-color: rgba(0, 0, 0, 0.8);}
  h1, a {color: #0078d7;}
  .line {background-color: #070709; color: white; border-color: #555;}
  .line:focus {border-color: #1a4ba4;}
  .light {display: none;}
}

/* Nuevos estilos interactivos */
#search-form {margin-top: 20px;}
#search-input {width: 100%; padding: 10px; font-size: 16px; border: 1px solid #babcb8;}
#search-submit {margin-top: 10px; padding: 10px 20px; font-size: 16px; background-color: #1a4ba4; color: #ffffff; border: none; cursor: pointer;}
#search-submit:hover {background-color: #579eea;}

</style>
<!-- Matomo -->
<script>
  var _paq = window._paq = window._paq || [];
  /* tracker methods like "setCustomDimension" should be called before "trackPageView" */
  _paq.push(['trackPageView']);
  _paq.push(['enableLinkTracking']);
  (function() {
    var u="https://analytics.astian.org/";
    _paq.push(['setTrackerUrl', u+'matomo.php']);
    _paq.push(['setSiteId', '1']);
    var d=document, g=d.createElement('script'), s=d.getElementsByTagName('script')[0];
    g.async=true; g.src=u+'matomo.js'; s.parentNode.insertBefore(g,s);
  })();
</script>
<!-- End Matomo Code -->

</head>
<body>
  <div id="box">
    <center>
      <img class="light" src="%ABOUT-IMG%" width="250">
      <img class="dark" src="%ABOUT-IMG-DARK%" width="250">
      %PRIVATE-BROWSING%

      <form id="search-form" action="https://astiango.co/search.php" method="GET">
        <input id="search-input" type="text" name="q" placeholder="%BUTTON-LABEL%" /> <br/>
        <input id="search-submit" type="submit" value="%BUTTON-LABEL%">
      </form>

      <p class="bottom">%SEARCH-BY% | <a href="%WWW%">%ABOUT-MIDORI%</a></p>
    </center>
  </div>
</body>
</html>
